# Deprecated APIs ## Component Lookup (deprecated) - [GET /component/lookup](https://codeinsightapi.redocly.app/swagger/deprecated-apis/componentlookup.md): This API is Deprecated and new API is codeinsight/api/components/search ## Generate Report (deprecated) - [GET /project/generateReport](https://codeinsightapi.redocly.app/swagger/deprecated-apis/generatereport.md): This API is deprecated please refer to /projects/{projectId}/reports/{reportId}/generate to Generate a report. Refer /projects/{projectId}/reports/{reportId}/download to Download a report. Generates Reports (PROJECT, AUDIT, NOTICES, CUSTOM_REPORT) for a given projectId. For CUSTOM_REPORT provide the name of the report. All project users including Observer, Reviewer and Analyst can generate reports for private projects. Try it out is not available for this API. This API can be tested using conventional REST API clients such as postman or cURL. When calling this API from a REST client, you need to redirect output to a zip file as follows curl -X GET "http://HOST:PORT/codeinsight/api/project/generateReport?reportType=REPORT_TYPE&projectId=PROJECT_ID" -H "accept: application/octet-stream" -H "Authorization: Bearer JWT_TOKEN" > report.zip ## Create Project (deprecated) - [POST /project/createProject](https://codeinsightapi.redocly.app/swagger/deprecated-apis/createproject.md): Use the enhanced '/projects' api. ## Import Project Data (deprecated) - [POST /importer/importProjectData](https://codeinsightapi.redocly.app/swagger/deprecated-apis/importprojectdata.md): Imports project data for a given projectId. Only Project Owner and Analyst can Import Project Data into a private project. Try it out is not available for this API. This API can be tested using conventional REST API clients such as postman or cURL When calling this API from a REST client, you need to run curl as follows curl -X POST "http://HOST:PORT/codeinsight/api/importer/importProjectData?projectId=PROJECT_ID&checkInventory=false&checkReviewed=false&createEmptyInventory=false&overwriteInventoryNotes=true" -H "accept: application/json" -H "Authorization: Bearer JWT_TOKEN" -H "content-type: application/octet-stream" --data-binary "@path/filename.zip" Since this is deprecated, you can find the new api under projects api i.e., /projects/{projectId}/import ## Component Lookup (deprecated) - [GET /component/lookup](https://codeinsightapi.redocly.app/swagger/component/componentlookup.md): This API is Deprecated and new API is codeinsight/api/components/search ## Generate Report (deprecated) - [GET /project/generateReport](https://codeinsightapi.redocly.app/swagger/project-api/generatereport.md): This API is deprecated please refer to /projects/{projectId}/reports/{reportId}/generate to Generate a report. Refer /projects/{projectId}/reports/{reportId}/download to Download a report. Generates Reports (PROJECT, AUDIT, NOTICES, CUSTOM_REPORT) for a given projectId. For CUSTOM_REPORT provide the name of the report. All project users including Observer, Reviewer and Analyst can generate reports for private projects. Try it out is not available for this API. This API can be tested using conventional REST API clients such as postman or cURL. When calling this API from a REST client, you need to redirect output to a zip file as follows curl -X GET "http://HOST:PORT/codeinsight/api/project/generateReport?reportType=REPORT_TYPE&projectId=PROJECT_ID" -H "accept: application/octet-stream" -H "Authorization: Bearer JWT_TOKEN" > report.zip ## Create Project (deprecated) - [POST /project/createProject](https://codeinsightapi.redocly.app/swagger/project-api/createproject.md): Use the enhanced '/projects' api.